WP1HeaderFooterGroup Class Reference

`#include <WP1HeaderFooterGroup.h>`

Inheritance diagram for WP1HeaderFooterGroup:

## Public Member Functions

| WP1HeaderFooterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1HeaderFooterGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1VariableLengthGroup
| WP1VariableLengthGroup (unsigned char group)
| ~WP1VariableLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Member Functions

| WP1HeaderFooterGroup (const WP1HeaderFooterGroup &)
WP1HeaderFooterGroup & | operator= (const WP1HeaderFooterGroup &)

## Private Attributes

unsigned char | m_definition
std::shared_ptr< WP1SubDocument > | m_subDocument

## Additional Inherited Members

Static Public Member Functions inherited from WP1VariableLengthGroup
static WP1VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const
unsigned | getSize () const

## Constructor & Destructor Documentation

## WP1HeaderFooterGroup() [1/2]

WP1HeaderFooterGroup::WP1HeaderFooterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

Referenced by operator=(), and WP1HeaderFooterGroup().

## ~WP1HeaderFooterGroup()

WP1HeaderFooterGroup::~WP1HeaderFooterGroup | ( |  | ) |

override

## WP1HeaderFooterGroup() [2/2]

WP1HeaderFooterGroup::WP1HeaderFooterGroup | ( | const WP1HeaderFooterGroup & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP1HeaderFooterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP1VariableLengthGroup.

## operator=()

WP1HeaderFooterGroup & WP1HeaderFooterGroup::operator= | ( | const WP1HeaderFooterGroup & |  | ) |

private

## parse()

void WP1HeaderFooterGroup::parse | ( | WP1Listener * | listener | ) |

override virtual

Implements WP1Part.

## Member Data Documentation

## m_definition

unsigned char WP1HeaderFooterGroup::m_definition

private

Referenced by _readContents(), parse(), and WP1HeaderFooterGroup().

## m_subDocument

std::shared_ptr<WP1SubDocument> WP1HeaderFooterGroup::m_subDocument

private

Referenced by _readContents(), parse(), and WP1HeaderFooterGroup().

The documentation for this class was generated from the following files:

- WP1HeaderFooterGroup.h
- WP1HeaderFooterGroup.cpp